library rebi_tools;

import 'package:flutter/material.dart';

/// A Calculator.
class Calculator {
  /// Returns [value] plus 1.
  int addOne(int value) => value + 1;
}

extension DateFomater on DateTime? {
  String get format {
    if (this == null) {
      return '';
    }
    return '${this!.year}/${this!.month}/${this!.day}';
  }
}

extension Delayed on int {
  Future<void> get seconds async =>
      await Future.delayed(Duration(seconds: this));

  Future<void> get milliseconds async =>
      await Future.delayed(Duration(milliseconds: this));
}

extension Resposive on BuildContext {

  Size get mSize => MediaQuery.of(this).size;


  double get width => mSize.width;

  double get height => mSize.height;


  double get responsiveWidth => isPortrait ? width : height;

  double get responsiveHeight => isPortrait ? height : width;


  bool get isPortrait => width < height;

  bool get isLandscape => width > height;

  ///true if the screen width is less than 300
  bool get isXSmall => width < 300;

  bool get isSmall => width < 400;

  bool get isMedium => width > 400 && width < 600;

  bool get isLarge => width > 600;

  bool get isXLarge => width > 800;

  bool get isXXLarge => width > 1200;
}